List webhook delivery attempts
curl --request GET \
--url https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/attemptsimport requests
url = "https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/attempts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.context.dev/v1/webhooks/deliveries/{delivery_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attempt": 2,
"trigger": "initial",
"url": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"http_status": 123,
"error": {
"code": "<string>",
"message": "<string>"
}
}
],
"has_more": true,
"next_cursor": "<string>",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}{
"message": "<string>",
"error_code": "INTERNAL_ERROR",
"key_metadata": {
"credits_consumed": 123,
"credits_remaining": 123
}
}Webhook Deliveries
List Webhook Delivery Attempts
List delivery attempts, newest first.
GET
/
webhooks
/
deliveries
/
{delivery_id}
/
attempts
List webhook delivery attempts
0 Credits
Use the attempt history to investigate delivery failures. After fixing your receiving endpoint, retry the delivery to send the retained event again.
Path Parameters
Delivery ID.
Pattern:
^whd_[a-f0-9]{32}$Query Parameters
Number of attempts to return.
Required range:
1 <= x <= 100The next_cursor from the previous response.
Pattern:
^wha_[a-f0-9]{32}$Comma-separated tags for tracking request usage. Up to 20 tags, each 1-50 characters. Optional tags for tracking usage. Up to 20 tags, each 1 to 50 characters.
Maximum array length:
20Required string length:
1 - 50Example:
["production", "team-alpha"]
Response
A page of delivery attempts
Was this page helpful?